Upload Object
curl --request PUT \
--url https://api.example.com/api/storage/buckets/{bucketName}/objects/{objectKey} \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form file='@example-file'import requests
url = "https://api.example.com/api/storage/buckets/{bucketName}/objects/{objectKey}"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"x-api-key": "<api-key>"}
response = requests.put(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://api.example.com/api/storage/buckets/{bucketName}/objects/{objectKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bucket": "avatars",
"key": "user123.jpg",
"size": 102400,
"mimeType": "image/jpeg",
"uploadedAt": "2024-01-21T10:30:00Z",
"url": "/api/storage/buckets/avatars/objects/user123.jpg"
}{
"error": "INVALID_FILE",
"message": "No file provided in the request",
"statusCode": 400,
"nextActions": "Include a file in the multipart form data"
}{
"error": "BUCKET_NOT_FOUND",
"message": "Bucket 'nonexistent' does not exist",
"statusCode": 404,
"nextActions": "Create the bucket first"
}Client
Upload Object
PUT
/
api
/
storage
/
buckets
/
{bucketName}
/
objects
/
{objectKey}
Upload Object
Authorizations
Path Parameters
Pattern:
^[a-zA-Z0-9_-]+$Object key (can include forward slashes for pseudo-folders)
Body
multipart/form-data
File to upload
Response
Object uploaded successfully
Name of the bucket containing the object
Example:
"avatars"
Unique key identifying the object within the bucket
Example:
"user123.jpg"
Size of the file in bytes
Example:
102400
ISO timestamp when the file was uploaded
Example:
"2024-01-15T10:30:00Z"
URL to download the file
Example:
"/api/storage/buckets/avatars/objects/user123.jpg"
MIME type of the file
Example:
"image/jpeg"
⌘I